Bug 1073591 (CVE-2012-6639) - CVE-2012-6639 cloud-init: insecure transmission of EC2 instance data can lead to root privilege escalation
Summary: CVE-2012-6639 cloud-init: insecure transmission of EC2 instance data can lead...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2012-6639
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1073592
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-06 18:36 UTC by Vincent Danen
Modified: 2019-09-29 13:14 UTC (History)
21 users (show)

Fixed In Version: cloud-init 0.7.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-07 08:43:50 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-03-06 18:36:17 UTC
It was reported [1],[2] that cloud-init could send requests for EC2 instance data to untrusted systems.  This could allow someone who has control over a suitable domain name to obtain root rights on an affected system.

This issue was found and silently fixed in 2012; version 0.7.0 contains the fix [3].

[1] http://seclists.org/oss-sec/2014/q1/514
[2] https://bugs.launchpad.net/cloud-init/+bug/1040200
[3] http://bazaar.launchpad.net/~cloud-init-dev/cloud-init/trunk/revision/635


Statement:

Not vulnerable. This issue did not affect the versions of cloud-init as shipped with Red Hat Enterprise Linux OpenStack Platform 3.0.

Comment 1 Vincent Danen 2014-03-06 18:37:07 UTC
Created cloud-init tracking bugs for this issue:

Affects: epel-5 [bug 1073592]

Comment 2 Vincent Danen 2014-03-06 18:39:05 UTC
This does affect EPEL5, however, as it provides cloud-init 0.6.3.  I do see now that EPEL 6 does in fact include 0.7.4.

Comment 3 Sam Kottler 2014-03-07 08:43:50 UTC
A patch that fixes this bug was added the cloud-init in EPEL 5 back in 2012, so it's not vulnerable either.

http://pkgs.fedoraproject.org/cgit/cloud-init.git/commit/?h=el5&id=8462fc9d5504c426d14baa797a759006435e078f

Comment 4 Vincent Danen 2014-03-07 17:57:15 UTC
Perfect, thanks Sam!


Note You need to log in before you can comment on or make changes to this bug.